<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Database extends ADMIN_Controller {

	public function __construct() {
		parent::__construct();
		define('part', $this->admindir.'/setting/database/');

		$arr  = $this->config->item('menu');
		$menu = $this->aksesmenu->search_menu($arr, 'href', '/setting/database');
		$this->menu = $menu[0]['id'];
	}

	public function index() {
		$this->aksesmenu->isAkses($this->menu);
		
		$this->template->display(part.'index');
	}

	public function backupdb() {
		$this->load->dbutil();
		$now = date('d-m-Y');

		$prefs = array(
			'format'     => 'zip',
        	'filename'   => 'BackupDB-Master-['.$now.']',
	        'add_drop'   => TRUE,
	        'add_insert' => TRUE,
	        'newline'    => "\n"
		);

		$backup = $this->dbutil->backup($prefs);
		
		$this->load->helper('download');
		force_download('BackupDB-Master-['.$now.'].zip', $backup);
	}

	private function truncate() {
		// rencana bisa empty tabel jika diperlukan tabel tertentu
	}
}