<?php
defined('BASEPATH') or die('No direct script access allowed');

class BarangModel extends CI_Model {

	public function __construct() {
		parent::__construct();
	}

	public function getCount($where=null) {
		if (isset($where)) {
			if (!empty($where['barang'])) {
				$this->db->like('nama', $where['barang'], 'both');
			}

			if (!empty($where['kategori'])) {
				$this->db->where('barang.id_kategori', $where['kategori']);
				
				unset($where['kategori']);
			}
			
			if (!empty($where['merk'])) {
				$this->db->where('barang.id_merk', $where['merk']);
				
				unset($where['merk']);
			}
		}

		$this->db->join('kategori', 'kategori.id = barang.id_kategori', 'left');
		$this->db->join('merk', 'merk.id = barang.id_merk', 'left');
		$query = $this->db->where(array('barang.is_delete'=>'false'))->get('barang');

		return $query->num_rows();

		$query->free_result();
	}

	public function getPagingBarang($where=null, $limit=null, $offset=null, $order=null) {
		if (isset($where)) {
			if (!empty($where['barang'])) {
				$this->db->like('nama', $where['barang'], 'both');
			}

			if (!empty($where['kategori'])) {
				$this->db->where('barang.id_kategori', $where['kategori']);
				
				unset($where['kategori']);
			}
			
			if (!empty($where['merk'])) {
				$this->db->where('barang.id_merk', $where['merk']);
				
				unset($where['merk']);
			}
		}

		if (isset($order))
			$this->db->order_by($order);
		else
			$this->db->order_by('id', 'desc');

		$this->db->select('barang.*, kategori, merk');
		$this->db->join('merk', 'merk.id = barang.id_merk', 'left');
		$this->db->join('kategori', 'kategori.id = barang.id_kategori', 'left');
		$this->db->where(array('barang.is_delete'=>'false'));

		if(!$limit && !$offset) {
			$query = $this->db->get('barang');
		}
		else {
			$query = $this->db->get('barang', $limit, $offset);
		}

		return $query;

		$query->free_result();
	}
}
