<?php
defined('BASEPATH') or die('No direct script access allowed');

class SettingModel extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
    }
    
    public function getSetting()
    {
        $query = $this->db->get('settingan');
        
        return $query;

        $query->free_result();
    }

    public function getCountAkses($where=null)
    {
        if (isset($where)) {
            if (isset($where['nama'])) {
                $this->db->like('nama', $where['nama'], 'both');
            }
        }
        
        $query = $this->db->get('hak_akses');
        
        return $query->num_rows();

        $query->free_result();
    }
    
    public function getPagingAkses($where=null, $limit=null, $offset=null, $order=null)
    {
        if (isset($where)) {
            if (isset($where['nama'])) {
                $this->db->like('nama', $where['nama'], 'both');
            }
        }

        if (isset($order)) {
            $this->db->order_by($order);
        }
        
        if (!$limit && !$offset) {
            $query = $this->db->get('hak_akses');
        } else {
            $query = $this->db->get('hak_akses', $limit, $offset);
        }
        
        return $query;

        $query->free_result();
    }
    
    public function getAksesMenu($id)
    {
        return $this->db->where('id_hak_akses', $id)->get('akses_menu');
    }

    public function saveAkses($post)
    {
        $this->db->trans_begin();

        // jika menunya yg tidak ada
        $menu = array();
        foreach ($post as $val) {
            $menu[] = $val['id_menu'];
        }
        
        $hak = $post[0]['id_hak_akses'];
        $cek = $this->db->where(array('id_hak_akses'=>$hak))->get('akses_menu');
            
        foreach ($cek->result() as $key => $value) {
            if (!in_array($value->id_menu, $menu)) {
                $whr = array('id_hak_akses'=>$hak, 'id_menu'=>$value->id_menu);
                
                $this->db->where($whr)->delete('akses_menu');
            }
        }

        foreach ($post as $val) {
            // kalau di tabel ada menu tapi diinputan tidak ada aksinya maka hapus yang di tabel
            $cek = $this->db->where(array('id_hak_akses'=>$val['id_hak_akses'], 'id_menu'=>$val['id_menu']))->get('akses_menu');

            foreach ($cek->result() as $key => $value) {
                if (!in_array($value->aksi, $val['aksi'])) {
                    $whr = array('id_hak_akses'=>$val['id_hak_akses'], 'id_menu'=>$val['id_menu'], 'aksi'=>$value->aksi);
                    
                    $this->db->where($whr)->delete('akses_menu');
                }
            }

            // kalau diinputan ada tapi dicek ke database tidak ada maka input baru
            foreach ($val['aksi'] as $key => $aksi) {
                $whr = array('id_hak_akses'=>$val['id_hak_akses'], 'id_menu'=>$val['id_menu'], 'aksi'=>$aksi);

                $cek = $this->db->where($whr)->get('akses_menu')->row();

                if (empty($cek)) {
                    $this->db->insert('akses_menu', $whr);
                }
            }
        }

        if ($this->db->trans_status() === false) {
            $this->db->trans_rollback();
            return false;
        } else {
            $this->db->trans_commit();
            return true;
        }
    }
}
