<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $no = ($paging['limit']*$paging['current'])-$paging['limit']; ?>
	<div class="row">
		<div class="box-tools col-md-3 col-xs-12">
			<div class="btn-group" data-toggle="btn-toggle">
				<button type="button" class="btnRefresh btn btn-primary btn-sm"><i class="fa fa-refresh"></i> Refresh</button>
				&nbsp;&nbsp;
			</div>
			<button type="button" class="btnCetak btn btn-success btn-sm"><i class="fa fa-print"></i> Cetak</button>
		</div>
		<div class="col-md-2 col-xs-12 pull-right">
			<select name='limit' id='limit' class="form-control input-sm col-sm-2 col-md-2 col-xs-2" onchange="pageLoad('/laporan/stok/listdata/', 1)">
				<option <?php echo ($limit==5) ? 'selected' : '' ?> value='5'>Show 5 rows</option>
				<option <?php echo ($limit==20) ? 'selected' : '' ?> value='20'>Show 20 rows</option>
				<option <?php echo ($limit==50) ? 'selected' : '' ?> value='50'>Show 50 rows</option>
			</select>
		</div>
	</div>
	<div class="table-responsive">
		<table class="table table-striped table-bordered margin-top">
			<thead class="">
				<tr>
					<th width="5%">No</th>
					<th>Nama Barang</th>
					<th>Jenis</th>
					<th>Merk</th>
					<th>Status Barang</th>
					<th>Jumlah Tersedia</th>
					<th>Jumlah Retur Cacat</th>
				</tr>
			</thead>
			<thead>
				<tr>
					<th>&nbsp;</th>
					<th><input type="text" id="BarangFind" value="<?php echo $BarangFind ?>" class="form-control" placeholder="Ketik keyword lalu enter"></th>
					<th><?php echo form_dropdown('', $KategoriOption, isset($KategoriFind) ? $KategoriFind : '', array('id'=>'KategoriFind', 'class'=>'form-control select-me', 'style'=>'width: 100%;')) ?></th>
					<th><?php echo form_dropdown('', $MerkOption, isset($MerkFind) ? $MerkFind : '', array('id'=>'MerkFind', 'class'=>'form-control select-me', 'style'=>'width: 100%;')) ?></th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
				</tr>
			</thead>
			<tbody>
				<?php $totalStok = 0; $totalCacat = 0; ?>
				<?php $no++; if($list->num_rows() > 0 ) : ?>
					<?php foreach ($list->result() as $key => $value): ?>
						<?php $more = ($value->stok > 0) ? true : false; ?>
						<tr class="<?php echo (!$more) ? 'bg-red' : '' ; ?>">
							<td><?php echo $no ?>.</td>
							<td><?php echo $value->nama ?></td>
							<td><?php echo $value->kategori ?></td>
							<td><?php echo $value->merk ?></td>
							<td><?php echo ($more) ? "Tersedia" : "Tidak Tersedia" ?></td>
							<td align="right"><?php echo ribuan($value->stok) ?></td>
							<td align="right"><?php echo ribuan($value->cacat) ?></td>
						</tr>
						<?php  
						$totalStok += $value->stok;
						$totalCacat += $value->cacat;
						?>
					<?php $no++;  endforeach ?>
				<?php else : ?>
					<tr>
						<td colspan="5"><p>Data Kosong</p></td>
					</tr>
				<?php endif; ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="5" align="right"><b>Total</b></td>
					<td align="right"><b><?php echo ribuan($totalStok); ?></b></td>
					<td align="right"><b><?php echo ribuan($totalCacat); ?></b></td>
				</tr>
			</tfoot>
		</table>
		<input type='hidden' id='current' name='current' value='<?php echo $paging['current'] ?>'>
	</div>
	<div class='row'>
		<div class='col-sm-4 col-xs-12' style='margin-top:5px;margin-bottom:10px'>
			Total data <?php echo $paging['count_row'] ?> Rows
		</div>
		<div class='col-sm-8 col-xs-12 pull-right' style='margin-top:5px;margin-bottom:10px'>
			<?php echo $paging['list']; ?>
		</div>
	</div>

<script type="text/javascript">
	$(document).ready(function(){
    	$('.select-me').select2();
	});

	$('#KategoriFind, #MerkFind').change(function(){
		find();
	});

	$('#BarangFind').keypress(function(event) {
		if (event.which==13) {
			find();
		}
	});

	$('.btnCetak').click(function() {
		let barang = $('#BarangFind').val()
		barang = (barang) ? barang : null;

		let kategori = $('#KategoriFind').val();
		kategori = (kategori) ? kategori : null;

		let merk = $('#MerkFind').val();
		merk = (merk) ? merk : null;

		window.open("<?php echo base_url('/laporan/stok/cetak/'); ?>"+barang+"/"+kategori+"/"+merk);
	});

	$('.btnRefresh').click(function() {
		pageLoad('/laporan/stok/listdata/', 1);
	});

	function find () {
		var keyword = {
			barang: $('#BarangFind').val(),
			kategori: $('#KategoriFind').val(),
			merk: $('#MerkFind').val(),
		};

		pageLoad('/laporan/stok/listdata/', 1, keyword);
	}
</script>
