<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form role="form" id="myform">
	<?php if (isset($data)): ?>
		<input type="hidden" name="id" value="<?php echo $data->id ?>">
	<?php endif ?>
	<div class="box-body">
		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
			<div class="form-group">
				<label for="petugas">Petugas : </label>
				<label for="petugas"><?php echo $userSes->nama; ?></label>
			</div>
			<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" style="padding-left: 0;">
				<div class="form-group">
					<label for="waktu">Tanggal</label>
					<div class="input-group">
						<div class="input-group-addon"><i class="fa fa-calendar"></i></div>
						<input class="form-control tanggal" type="text" name="waktu" id="waktu"
							value="<?php echo (isset($data) && ($data->waktu != '0000-00-00 00:00:00')) ? date_show(substr($data->waktu, 0, 11)).' '.substr($data->waktu, 11, 5) : date('d-m-Y') ?>"
							placeholder="Click for select date" required="">
					</div>
				</div>
			</div>
			<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" style="padding-right: 0;">
				<div class="form-group">
					<label for="penerima">Penerima</label>
					<input type="text" name="penerima" id="penerima" class="form-control" value="">
				</div>
			</div>
			<div class="form-group">
				<label for="keterangan">Keterangan</label>
				<textarea name="keterangan" id="keterangan" class="form-control"></textarea>
			</div>
			<div class="form-group">
				<label for="id_keluar">Surat Jalan Barang Keluar</label>
				<div class="input-group input-group-sm">
					<input type="hidden" name="id_keluar" id="id_keluar">
					<input type="text" class="form-control" id="no_surat" readonly>
					<span class="input-group-btn">
						<button type="button" class="btn btn-info btn-flat btnFindKeluar">Browse</button>
					</span>
				</div>
			</div>
		</div>

		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
			<div class="table-responsive">
				<h4>List Retur Barang Keluar</h4>
				<table class="table table-striped table-bordered margin-top">
					<thead class="bg-primary">
						<tr>
							<th>Barang</th>
							<th width="90">Jumlah</th>
							<th>Kondisi</th>
							<th width="80"></th>
						</tr>
					</thead>
					<tbody id="listRetur"></tbody>
				</table>
			</div>
		</div>
	</div>
</form>
<script>
	var n = 1;
	var ls = [];

	$(document).ready(function(){
		$('.tanggal').datepicker({
			autoclose: true,
			format: 'dd-mm-yyyy'
		});
	});

	$('.btnFindKeluar').click(function(){
		$.get(adminsite+"/proses/retur/find", function(content, status){
			BootstrapDialog.show({
				type: BootstrapDialog.TYPE_DEFAULT,
				size: BootstrapDialog.SIZE_WIDE,
				title:  '<strong>Cari barang keluar</strong>',
				message:$('<div></div>').append(content),
				buttons: [{
					label: 'Batal',
					cssClass: 'btn btn-danger',
					icon: 'fa fa-undo',
					action: function(dialog) {
						dialog.close();
					}
				}],
				onshown: function(dialog) {
					dialog.setClosable(false);

					var idDialog = $(this).attr("id")
					$('#idDialog').val(idDialog);

					pageLoad('/proses/retur/findlist/', 1, undefined, '.ListTableContent2');

					// findList();

					/* function findList() {
						var keyword = {
							nomor: $('#find_no_surat').val()
						}

						$.post(adminsite+"/proses/retur/findlist", keyword, function(cont, stat){
							$('.ListTableContent2').html(cont);

						});
					} 
					*/
				}
			});
		});
	});

	function removeList(brg) {
		var brg = brg.toString();
		var posDel = $.inArray(brg, ls);

		ls.splice(posDel, 1);

		$('#trlist-'+brg).remove();
	};
</script>