<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
	<form role="form" id="myform" class="">
		<?php if (isset($data)): ?>
			<input type="hidden" name="id" value="<?php echo $data->id ?>">
		<?php endif ?>
		<div class="box-body">
			<div class="form-group">
				<label for="nama">Nama : </label>
				<span><b><?php echo (isset($data)) ? $data->nama : '' ?></b></span>
			</div>
			<div class="form-group">
				<label for="telp">Telp</label>
				<input type="text" name="telp" id="telp" value="<?php echo (isset($data)) ? $data->telp : '' ?>" class="form-control">
			</div>
			<div class="form-group">
				<label for="email">Email</label>
				<input type="text" name="email" id="email" value="<?php echo (isset($data)) ? $data->email : '' ?>" class="form-control">
			</div>
			<div class="form-group">
				<label for="alamat">Alamat</label>
				<textarea id="alamat" name="alamat" class="form-control"><?php echo (isset($data)) ? $data->alamat : '' ?></textarea>
			</div>
		</div>
		<!-- box footer -->
		<div class="box-footer" data-toggle="tooltip">
			<div class="btn-group" data-toggle="btn-toggle">
				<button type="button" class="btnRefresh btn btn-primary"><i class="fa fa-refresh"></i> Refresh</button>
				&nbsp;&nbsp;
			</div>
			<?php if ($ak_upd) : ?> 
				<div class="btn-group" data-toggle="btn-toggle">
					<button type="button" class="btnUpdate btn btn-warning"><i class="fa fa-pencil"></i> Update</button>
					&nbsp;&nbsp;
				</div>
			<?php endif ?>
		</div>
	</form>

<script type="text/javascript">
    $(document).ready(function() {
			$('.file-btn').fancybox({
				toolbar: true,
				autoScale: true,
				iframe: {
					css: {
						height: '600px'
					}
				}
			});
    });

	$('.btnUpdate').click(function() {
		$.post(adminsite+"/setting/perusahaan/action", $('#myform').serialize(), function(data, status){
			if (!data.result) {
				toastr["error"](data.note);
			}
			else {
				toastr["success"](data.note);
				getData('/setting/perusahaan/listdata/', 'myitem');
			}
		});
	});

	$('.btnRefresh').click(function() {
		getData('/setting/perusahaan/listdata/', 'myitem');
	});

	function responsive_filemanager_callback(field_id) {
		console.log(field_id);
		var url = jQuery('#' + field_id).val();
		parent.$.fancybox.getInstance().close();
	}
</script>