<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Perusahaan extends ADMIN_Controller
{
    public function __construct()
    {
        parent::__construct();
        define('part', $this->admindir.'/setting/perusahaan/');
        $this->load->model('SettingModel', 'setting');

        $arr  = $this->config->item('menu');
        $menu = $this->aksesmenu->search_menu($arr, 'href', '/setting/perusahaan');
        $this->menu = $menu[0]['id'];
    }

    public function index()
    {
        $this->aksesmenu->isAkses($this->menu);
        
        $this->template->display(part.'data');
    }

    public function listdata()
    {
        $data['data'] = $this->setting->getSetting()->row();

        $data['ak_upd']	= $this->aksesmenu->cekAksi($this->menu, '2');
        
        $this->load->view(part.'list', $data);
    }
        
    public function action()
    {
        $back = null;
        $note = null;

        $post = $_POST;
        
        if (!empty($post['logo'])) {
            $post['logo'] = str_replace('/upload/', '', $post['logo']);
            $post['logo'] = !empty($post['logo']) ? '/upload/'.$post['logo'] : '';
        }

        if (!empty($post['favicon'])) {
            $post['favicon'] = str_replace('/upload/', '', $post['favicon']);
            $post['favicon'] = !empty($post['favicon']) ? '/upload/'.$post['favicon'] : '';
        }

        $back = $this->model->update('settingan', $post, array('id'=>'1'));

        if (!$back) {
            $title = '';
            $note = 'Gagal edit data';
        } else {
            $title = '';
            $note  = 'Sukses edit data';
        }
            
        $this->output->set_content_type('application/json')->set_output(json_encode(array('result'=>$back, 'title'=>$title, 'note'=>$note)));

        return;
    }
}
