<?php defined('BASEPATH') or die('No direct script access allowed');

date_default_timezone_set("Asia/Jayapura");

if (!function_exists('umurJamMenit')) {
    function umurJamMenit($time, $now = 'today')
    {
        // $interval = date_create(str_replace('/', '-', $time))->diff(date_create($now));
        // return $interval->h . ' : ' . $ret[] = $interval->i;

        date_default_timezone_set("Asia/Jayapura");
        
        $date1 = date_create($time);
        $date2 = date_create(date('Y-m-d H:i:s'));
        $diff = date_diff($date1, $date2);
        $mnt = $diff->format("%i");
        $jam = $diff->format("%h");

        $ret = ($mnt < 60 && $jam == '00') ? $mnt.' menit' : $jam.' jam';
        return $ret;
    }
}
  
if (!function_exists('date_show')) {
    function date_show($time, $format = 'd-m-Y')
    {
        if (strtotime($time)===false) {
            return null;
        } else {
            return date($format, strtotime($time));
        }
    }
}

if (!function_exists('date_show_long')) {
    function date_show_long($time)
    {
        if (strtotime($time)===false) {
            return null;
        } else {
            $ci =& get_instance();
            $ci->load->config('date');
            $date = $ci->config->item('date');

            $tgl = date('d F Y', strtotime($time));
            $bln = date('F', strtotime($time));
            $ind = date('n', strtotime($time));

            return str_replace($bln, $date['bulan'][$ind-1], $tgl);
        }
    }
}

if (!function_exists('date_show_long_time')) {
    function date_show_long_time($time)
    {
        if (strtotime($time)===false) {
            return null;
        } else {
            $ci =& get_instance();
            $ci->load->config('date');
            $date = $ci->config->item('date');

            $tgl = date('d F Y', strtotime($time));
            $bln = date('F', strtotime($time));
            $ind = date('n', strtotime($time));
            
            $tgl = str_replace($bln, $date['bulan'][$ind-1], $tgl);
            
            $jam = date('H:i', strtotime($time));
            
            return $tgl. ' '. $jam;
        }
    }
}

if (!function_exists('date_sql')) {
    function date_sql($time, $format = 'Y-m-d')
    {
        $time = str_replace('/', '-', $time);

        return date($format, strtotime($time));
    }
}

if (!function_exists('datetime_sql')) {
    function datetime_sql($time, $format = 'Y-m-d H:i:s')
    {
        $time = str_replace('/', '-', $time);

        return date($format, strtotime($time));
    }
}

if (!function_exists('date_show_month')) {
    function date_show_month($bln)
    {
        if (empty($bln)) {
            return null;
        } else {
            $ci =& get_instance();
            $ci->load->config('date');
            $date = $ci->config->item('date');

            return $date['bulan'][$bln-1];
        }
    }
}
