<?php
class Template
{
    protected $ci;
    public $mymenu;
    public $webmenu;
    public $adsHead;
    public $adsSide;

    public function __construct()
    {
        $this->ci =& get_instance();
    }

    public function menu($menu)
    {
        $this->mymenu = $menu;
    }

    public function adsHead($adsHead)
    {
        $this->adsHead = $adsHead;
    }

    public function adsSide($adsSide)
    {
        $this->adsSide = $adsSide;
    }

    public function display($template, $data=null)
    {
        $data['_content']	= $this->ci->load->view($template, $data, true);
        $data['_menus']		= $this->mymenu;

        if (!$this->is_ajax()) {
            $this->ci->load->view($this->ci->admindir.'/layout.php', $data);
        } else {
            $this->ci->load->view($template, $data);
        }
    }

    public function webmenu($webmenu)
    {
        $this->webmenu = $webmenu;
    }

    public function web($template, $data=null)
    {
        $data['_content']	      = $this->ci->load->view($template, $data, true);
        $data['_menus']		      = $this->webmenu;

        if (!$this->is_ajax()) {
            $this->ci->load->view('/web/layout.php', $data);
        } else {
            $this->ci->load->view($template, $data);
        }
    }

    public function is_ajax()
    {
        return ($this->ci->input->server('HTTP_X_REQUESTED_WITH')&&($this->ci->input->server('HTTP_X_REQUESTED_WITH')=='XMLHttpRequest'));
    }
}
