<?php 
defined('BASEPATH') or die('No direct script access allowed');

class UserModel extends CI_Model {
    
	public function __construct() {
		parent::__construct();
	}

	public function cekUser($user, $pass = NULL) {
		$this->db->where('username', $user);

		if (isset($pass))
			$this->db->where('password', $pass);

		return $this->db->select('user.*, hak_akses.hak_akses, hak_akses.is_admin')
					->join('hak_akses', 'hak_akses.id=user.id_hak_akses')
					->get('user');
	}

	public function getCount($where=null) {
		if (isset($where)) {
			if (isset($where['nama'])) {
				$this->db->like('nama', $where['nama'], 'both');
			}
		}
		
		$this->db->where('user.id !=', '1');
		$this->db->join('hak_akses', 'hak_akses.id=user.id_hak_akses');
		
		$query = $this->db->get('user');
		
		return $query->num_rows();

		$query->free_result();
	}
	
	public function getPagingUser($where=null, $limit=null, $offset=null, $order=null) {
		if (isset($where)) {
			if (isset($where['nama'])) {
				$this->db->like('nama', $where['nama'], 'both');
			}
		}

		if (isset($order))
			$this->db->order_by($order);
		
		$this->db->where('user.id !=', '1');
		$this->db->select('user.*, hak_akses')->join('hak_akses', 'hak_akses.id=user.id_hak_akses');
		
		if(!$limit && !$offset)
			$query = $this->db->get('user');
		else                                     
			$query = $this->db->get('user', $limit, $offset);
		
		return $query;

		$query->free_result();
	}
}