<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<style>
.text-important {
	color:red;
	font-weight: 600;
}
.blink {
    animation: blink 2s steps(5, start) infinite;
    -webkit-animation: blink 1s steps(5, start) infinite;
}
</style>
<?php $no = ($paging['limit']*$paging['current'])-$paging['limit']; ?>
	<div class="row">
		<div class="form-group col-md-2 col-xs-12">
			<?php echo form_dropdown('', $BulanOption, isset($bulanFind) ? $bulanFind : '', array('id'=>'bulanFind', 'class'=>'form-control', 'style'=>'width: 100%;')) ?>
		</div>
		<div class="form-group col-md-2 col-xs-12">
			<input type="number" id="tahunFind" class="form-control" min="2000" value="<?php echo isset($tahunFind) ? $tahunFind : ''; ?>"></input>
		</div>
		<div class="box-tools col-md-5 col-xs-12">
			<button type="button" class="btnLihat btn btn-primary btn-sm"><i class="fa fa-desktop"></i> Lihat Data</button>
			&nbsp;&nbsp;
			<button type="button" class="btnClose btn btn-danger btn-sm"><i class="fa fa-calendar-times-o"></i> Kalkukasi Stok Bulan</button>
			&nbsp;&nbsp;
			<button type="button" class="btnCetak btn btn-success btn-sm"><i class="fa fa-print"></i> Cetak</button>
		</div>
		<div class="col-md-2 col-xs-12 pull-right">
			<select name='limit' id='limit' class="form-control input-sm col-sm-2 col-md-2 col-xs-2" onchange="pageLoad('/laporan/opname/listdata/', 1)">
				<option <?php echo ($limit==5) ? 'selected' : '' ?> value='5'>Show 5 rows</option>
				<option <?php echo ($limit==20) ? 'selected' : '' ?> value='20'>Show 20 rows</option>
				<option <?php echo ($limit==50) ? 'selected' : '' ?> value='50'>Show 50 rows</option>
			</select>
		</div>
	</div>
	<div class="table-responsive">
		<h5 class="blink text-important"><i class="fa fa-exclamation-triangle"></i> Untuk Jumlah stok awal pastikan sudah melakukan Kalkulasi Stok Bulan sebelumnya.</h5>
		<table class="table table-striped table-bordered margin-top">
			<thead class="">
				<tr>
					<th width="5%">No</th>
					<th>Nama Barang</th>
					<th>Jenis</th>
					<th>Merk</th>
					<th>Jumlah stok awal</th>
					<th>Jumlah barang masuk</th>
					<th>Jumlah barang keluar</th>
					<th>Hasil akhir</th>
				</tr>
			</thead>
			<thead>
				<tr>
					<th>&nbsp;</th>
					<th><input type="text" id="BarangFind" value="<?php echo $BarangFind ?>" class="form-control" placeholder="Ketik keyword lalu enter"></th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
				</tr>
			</thead>
			<tbody>
				<?php $totalStok = $totalMasuk = $totalKeluar = $totalHasil = 0; ?>
				<?php $no++; if($list->num_rows() > 0 ) : ?>
					<?php foreach ($list->result() as $key => $value): ?>
						<tr>
							<td><?php echo $no ?>.</td>
							<td><?php echo $value->nama ?></td>
							<td><?php echo $value->kategori ?></td>
							<td><?php echo $value->merk ?></td>
							<td align="right"><?php echo ribuan($value->stok_awal); ?></td>
							<td align="right"><?php echo ribuan($value->jum_masuk); ?></td>
							<td align="right"><?php echo ribuan($value->jum_keluar); ?></td>
							<?php $hasil = $value->stok_awal + $value->jum_masuk - $value->jum_keluar ?>
							<td align="right"><?php echo ribuan($hasil); ?></td>
						</tr>
					<?php 
						$totalStok 	+= $value->stok_awal;
						$totalMasuk += $value->jum_masuk;
						$totalKeluar += $value->jum_keluar;
						$totalHasil += $hasil; 
					?>
					<?php $no++; endforeach ?>
				<?php else : ?>
					<tr>
						<td colspan="6"><p>Data Kosong</p></td>
					</tr>
				<?php endif; ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="4" align="right"><b>Total</b></td>
					<td align="right"><b><?php echo ribuan($totalStok); ?></b></td>
					<td align="right"><b><?php echo ribuan($totalMasuk); ?></b></td>
					<td align="right"><b><?php echo ribuan($totalKeluar); ?></b></td>
					<td align="right"><b><?php echo ribuan($totalHasil); ?></b></td>
				</tr>
			</tfoot>
		</table>
		<input type='hidden' id='current' name='current' value='<?php echo $paging['current'] ?>'>
	</div>
	<div class='row'>
		<div class='col-sm-4 col-xs-12' style='margin-top:5px;margin-bottom:10px'>
			Total data <?php echo $paging['count_row'] ?> Rows
		</div>
		<div class='col-sm-8 col-xs-12 pull-right' style='margin-top:5px;margin-bottom:10px'>
			<?php echo $paging['list']; ?>
		</div>
	</div>

<script type="text/javascript">
	$(document).ready(function(){
    	$('.select-me').select2();
	});

	$('#KategoriFind').change(function(){
		find();
	});

	$('#BarangFind').keypress(function(event) {
		if (event.which==13) {
			find();
		}
	});

	$('.btnLihat').click(function() {
		find();
	});

	$('.btnClose').click(function() {
		var id = $(this).data('id');
		var period = {
			bulan: $('#bulanFind').val(),
			tahun: $('#tahunFind').val()
			};

		$.confirm.show({
			"message":"<b>Yakin Kalkulasi Stok Bulan ini?</b><br/>Hasil akhir akan menjadi stok awal bulan selanjutnya.<br/>Data kalkukasi sebelumnya akan terupdate.",
			"type":"danger",
			"yes":function(){
				$.post(adminsite+"/laporan/opname/close/", period, function(content, status){
					if (!content.result) {
						toastr["error"](content.note);
						pageLoad('/laporan/opname/listdata/', 1);
					}
					else {
						toastr["success"](content.note);
						pageLoad('/laporan/opname/listdata/', 1);
					}
				});
			}
		});
	});

	$('.btnCetak').click(function() {
		window.open("<?php echo base_url('/laporan/opname/cetak/'); ?>"+$('#bulanFind').val()+"/"+$('#tahunFind').val()+"/"+$('#BarangFind').val());
	});

	function find () {
		var keyword = {
			barang: $('#BarangFind').val(),
			bulan: $('#bulanFind').val(),
			tahun: $('#tahunFind').val()
			};

		pageLoad('/laporan/opname/listdata/', 1, keyword);
	}
</script>
