<html>
<head>
  <title>Cetak</title>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Normalize or reset CSS with your favorite library -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/7.0.0/normalize.min.css">

  <!-- Load paper.css for happy printing -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/paper-css/0.4.1/paper.css">
  
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <style>
    @page {
      size: A4
    }
    * {
        font-size : 12px;
    }
  </style>
  <style>
    /* body {
          font: 11pt "Tahoma";
          margin: 0;
      }

      @media print {
        header nav, footer {
          display: none !important;
        }
        @page {
          size: 105mm 148mm !important;
          margin: 0;
        }
      } */
  </style>
</head>
<body class=""> <!-- A4 -->
    <section class="sheet padding-10mm">
        <div class="flex-center">
            <center><h4>Stok Barang</h4></center>
            <hr><br>
            <table class="table table-bordered" style="width: 100%;">
                <thead class="">
                    <tr>
                        <th width="5%">No</th>
                        <th>Nama Barang</th>
                        <th>Jenis</th>
                        <th>Status Barang</th>
                        <th>Jumlah Tersedia</th>
                        <th>Jumlah Retur Cacat</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $totalStok = 0; $totalCacat = 0; ?>
                    <?php $no = 1; if($list->num_rows() > 0 ) : ?>
                        <?php foreach ($list->result() as $key => $value): ?>
                            <?php $more = ($value->stok > 0) ? true : false; ?>
                            <tr class="<?php echo (!$more) ? '' : '' ; ?>">
                                <td><?php echo $no ?>.</td>
                                <td><?php echo $value->nama ?></td>
                                <td><?php echo $value->kategori ?></td>
                                <td><?php echo ($more) ? "Tersedia" : "Tidak Tersedia" ?></td>
                                <td align="right"><?php echo ribuan($value->stok) ?></td>
                                <td align="right"><?php echo ribuan($value->cacat) ?></td>
                            </tr>
                            <?php  
                            $totalStok += $value->stok;
                            $totalCacat += $value->cacat;
                            ?>
                        <?php $no++;  endforeach ?>
                    <?php else : ?>
                        <tr>
                            <td colspan="4"><p>Data Kosong</p></td>
                        </tr>
                    <?php endif; ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="4" align="right"><b>Total</b></td>
                        <td align="right"><b><?php echo ribuan($totalStok); ?></b></td>
                        <td align="right"><b><?php echo ribuan($totalCacat); ?></b></td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </section>
    <script>
    window.print();
    window.close();
    </script>
</body>
</html>