<?php defined('BASEPATH') or exit('No direct script access allowed'); $ci =& get_instance(); ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <?php $set = getSetting(); ?>
  <title> <?php echo $set->nama ?> | Dashboard</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <!-- Favicon -->
  <link rel="shortcut icon" type="image/x-icon" href="<?php echo base_url().$set->favicon ?>" />
  <link rel="icon" href="<?php echo base_url().$set->favicon ?>" type="image/x-icon">
  <link rel="shortcut icon" href="<?php echo base_url().$set->favicon ?>" type="image/x-icon">
  <link rel="apple-touch-icon" href="<?php echo base_url().$set->favicon ?>">

  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/font-awesome/css/font-awesome.min.css">

  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/iCheck/all.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/select2/select2.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap-dialog/css/bootstrap-dialog.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap-daterangepicker/daterangepicker.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/datepicker/datepicker3.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/admin/dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/admin/dist/css/skins/_all-skins.min.css">

  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/jquery_ytload/ytLoad.jquery.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/hpcf-confirm/hpcf-confirm-alert.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/toastnotif/toastr.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/fancybox-master/dist/jquery.fancybox.min.css">
  <link rel="stylesheet" href="<?php echo base_url() ?>assets/admin/dist/css/mycustom.css">

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  <style>
    .confirm p {
      text-indent: 0;
    }
  </style>
  <script>
    var site = '<?php echo base_url() ?>';
    var adminsite = '<?php echo base_url($this->admindir) ?>';
    var uri =
      '<?php echo base_url($_SERVER['REQUEST_URI']) ?>';
  </script>
  <script src="<?php echo base_url() ?>assets/plugins/jQuery/jquery-2.2.3.min.js"></script>
  <script src="<?php echo base_url() ?>assets/admin/dist/js/mycustom-up.js"></script>
</head>
<?php $ex = explode('/', $_SERVER['REQUEST_URI']); ?>
<body class="sidebar-mini fixed skin-black-light">
  <!-- .wrapper -->
  <div class="wrapper">

    <header class="main-header" style="border-top: 6px solid #3c8dbc;">
      <!-- Logo -->
      <a href="<?php echo base_url('home') ?>"
        class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><b>SI</b>v</span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b>SIMIven</b></span>
      </a>
      <!-- Header Navbar: style can be found in header.less -->
      <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
          <span class="sr-only">Toggle navigation</span>
        </a>
        <!-- <div class="nav-toggle" data-toggle="push-menu" role="button" onclick="toggleSidebar(this)">
            <div class="bar1"></div>
            <div class="bar2"></div>
            <div class="bar3"></div>
          </div> -->

        <div class="navbar-custom-menu">
          <ul class="nav navbar-nav">
            <!-- User Account: style can be found in dropdown.less -->
            <?php $user = $ci->getIdentitasUser($this->session->userdata('id_user')); ?>
            <li class="dropdown user user-menu">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <i class="fa fa-user"></i>
                <span class="hidden-xs"><?php echo ucwords($user->nama) ?></span>
              </a>
              <ul class="dropdown-menu">
                <!-- User image -->
                <li class="user-header">
                  <?php $foto = $user->foto ?>
                  <img src="<?php echo base_url().(!empty($foto) ? $foto : 'assets/admin/dist/img/icon.png') ?>"
                    class="img-circle" alt="User Image">
                  <p>
                    <span><?php echo $user->nama ?></span>
                    <small><?php echo $this->session->userdata('hak_akses') ?></small>
                  </p>
                </li>
                <!-- Menu Footer-->
                <li class="user-footer">
                  <div class="pull-left">
                    <a href="javascript:void(0)" onclick="profil()" class="btn btn-default btn-flat">Profile</a>
                  </div>
                  <div class="pull-right">
                    <a href="javascript:void(0)" onclick="signout()" title="Sign Out" class="btn btn-default btn-flat">Keluar</a>
                  </div>
                </li>
              </ul>
            </li>
          </ul>
        </div>
      </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
      <!-- sidebar: style can be found in sidebar.less -->
      <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
          <div class="pull-left image">
            <img src="<?php echo base_url().(!empty($foto) ? $foto : 'assets/admin/dist/img/icon.png') ?>"
              class="img-circle" alt="User Image">
          </div>
          <div class="pull-left info">
            <p><?php echo ucwords($user->nama) ?>
            </p>
            <p><i class="fa fa-circle text-success"></i> Online</p>
          </div>
        </div>
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
          <li class="separator"></li>
          <li>
            <a href="<?php echo base_url('home') ?>">
              <i class="fa fa-home"></i> <span>Dashboard</span>
            </a>
          </li>
          <?php echo $_menus; ?>
        </ul>
      </section>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper" id="mycontent-main">

      <?php echo $_content; ?>

    </div>
    <!-- /.content-wrapper -->

    <footer class="main-footer">
      <div class="pull-right hidden-xs"><b>Version</b> 1.2</div>
      <strong>Copyright &copy; <?php echo date('Y') ?><!-- <a href="http://www.inasit.com/" target="_blank">Inasit Solution</a>, --></strong>
      <span>All rights reserved Sistem Informasi Manajemen Inventory</span>
    </footer>

  </div>
  <!-- ./wrapper -->
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/jQueryUI/jquery-ui.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap/js/bootstrap.min.js"></script>

  <script src="<?php echo base_url() ?>assets/plugins/moment/moment-with-locales.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/iCheck/icheck.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/select2/select2.full.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap-dialog/js/bootstrap-dialog.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap-daterangepicker/daterangepicker.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/datepicker/bootstrap-datepicker.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/slimScroll/jquery.slimscroll.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/fastclick/fastclick.js"></script>

  <script src="<?php echo base_url() ?>assets/plugins/hpcf-confirm/hpcf-confirm-alert.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/maskMoney/jquery.maskMoney.js"></script>

  <script src="<?php echo base_url() ?>assets/plugins/toastnotif/toastr.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/toastnotif/confignotif.js"></script>

  <script src="<?php echo base_url() ?>assets/plugins/jquery_ytload/ytLoad.jquery.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/jquery_ytload/jquery.transit.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.min.js"></script>
  <script src="<?php echo base_url() ?>assets/plugins/fancybox-master/dist/jquery.fancybox.min.js"></script>

  <script src="<?php echo base_url() ?>assets/admin/dist/js/mycustom.js"></script>
  <script src="<?php echo base_url() ?>assets/admin/dist/js/app.min.js"></script>

</body>

</html>
