<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php $set = getSetting(); ?>
    <title><?php echo $set->nama ?> | Login</title>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <link rel="shortcut icon" type="image/x-icon" href="<?php echo base_url().$set->favicon ?>" />
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/admin/dist/css/AdminLTE.min.css">
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/toastnotif/toastr.css">
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/jquery_ytload/ytLoad.jquery.css">
    <link rel="stylesheet" href="<?php echo base_url() ?>assets/plugins/waitme/waitMe.min.css">

    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <style>
        .login-box {
            margin: 0% auto;
            padding-top: 5%;
        }
        .sisname {
            font-size: 20px;
        }
    </style>
</head>

<body class="hold-transition login-page">
    <div class="login-box">
        <div class="login-logo">
            <a href="/"><b class="sisname">SISTEM INVENTORI GUDANG</b><br/><small><?php echo $set->nama ?></small></a>
        </div>
        <div class="login-box-body">
            <p class="login-box-msg">Silahkan login untuk memulai sesi Anda</p>
            <form action="/login" method="post" id="loginForm">

                <div id="loginInput">
                    <div class="form-group has-feedback">
                        <label for="username">Username</label>
                        <input type="text" name="username" id="username" class="form-control" placeholder="Ketikkan Username" required="" autocomplete="off" autofocus>
                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                    </div>
                    <div class="form-group has-feedback">
                        <label for="password">Password</label>
                        <input type="password" name="password" id="password" class="form-control" placeholder="Ketikkan Password" required="" autocomplete="off">
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                    </div>
                    <script>
                        $('#username').focus();
                    </script>
                </div>

                <div class="row">
                    <div class="col-xs-4 pull-right">
                        <button type="button" class="btn btn-primary btn-block btnSign">Login</button>
                    </div>
                </div>
            </form>
        </div>
        <!-- /.login-box-body -->
    </div>
    <!-- /.login-box -->

    <script src="<?php echo base_url() ?>assets/plugins/jQuery/jquery-2.2.3.min.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/bootstrap/js/bootstrap.min.js"></script>

    <script src="<?php echo base_url() ?>assets/plugins/moment/moment-with-locales.min.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/toastnotif/toastr.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/toastnotif/confignotif.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/jquery_ytload/ytLoad.jquery.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/jquery_ytload/jquery.transit.js"></script>
    <script src="<?php echo base_url() ?>assets/plugins/waitme/waitMe.min.js"></script>

    <script src="<?php echo base_url() ?>assets/admin/dist/js/mycustom.js"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            // $.get(encodeURI(
            //     '<?php echo base_url($this->admindir.'/login/form'); ?>'
            // ), {
            //     f: 'u'
            // }).done(function(data) {
            //     $('#loginInput').html(data);
            // });

            $(window).keydown(function(event) {
                if (event.keyCode == 13) {
                    event.preventDefault();
                    waitMeOn($('#loginForm'));

                    $.post(encodeURI(
                        '<?php echo base_url($this->admindir.'/login'); ?>'
                    ), $('#loginForm').serialize()).done(function(data) {
                        if (data.result) {
                            window.location =
                                '<?php echo base_url($this->admindir.'/home') ?>';
                        } else if (data.result === false) {
                            toastr["error"](data.note, "Login Gagal");
                            $('#loginForm').waitMe('hide');
                        } else {
                            $('#loginInput').html(data);
                            $('#loginForm').waitMe('hide');
                        }
                    });

                    return false;
                }
            });

            var examples = {
                basic: function() {
                    $.ytLoad();
                }
            };

            examples.basic();
        });

        $('.btnSign').click(function() {
            waitMeOn($('#loginForm'));

            $.post(
                encodeURI('<?php echo base_url($this->admindir.'/login'); ?>'), 
                $('#loginForm').serialize()
                ).done(function(data) {
                    if (data.result) {
                        window.location = '<?php echo base_url($this->admindir.'/home') ?>';
                    } else if (data.result === false) {
                        toastr["error"](data.note, "Login Gagal");
                        $('#loginForm').waitMe('hide');
                    } else {
                        $('#loginInput').html(data);
                        $('#loginForm').waitMe('hide');
                    }
            });

            return false;
        });
    </script>
</body>
</html>