<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form role="form" id="myform">
	<?php if (isset($data)): ?>
		<input type="hidden" name="id" value="<?php echo $data->id ?>">
	<?php endif ?>
	<div class="box-body">
		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
			<div class="form-group">
				<label for="petugas">Petugas : </label>
				<label for="petugas"><?php echo $userSes->nama; ?></label>
			</div>
			<div class="form-group">
				<label for="waktu">Tanggal</label>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-calendar"></i></div>
					<input class="form-control tanggal" type="text" name="waktu" id="waktu"
						value="<?php echo (isset($data) && ($data->waktu != '0000-00-00 00:00:00')) ? date_show(substr($data->waktu, 0, 11)).' '.substr($data->waktu, 11, 5) : date('d-m-Y') ?>"
						placeholder="Click for select date" required="">
				</div>
			</div>
			<div class="form-group">
				<label for="barang">Barang</label>
				<?php echo form_dropdown('', $BarangOption, '', array('id'=>'barang', 'class'=>'form-control select-me', 'style'=>'width: 100%')) ?>
			</div>
			<div class="form-group">
				<label for="jumlah">Jumlah</label>
				<input type="number" id="jumlah" class="form-control" value="1" min="1" style="width: 50%;">
			</div>
			<button type="button" id="addtoList" class="btn btn-sm btn-primary">Tambahkan ke List</button>
		</div>

		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
			<div class="table-responsive">
				<h4>List Barang Masuk</h4>
				<table class="table table-striped table-bordered margin-top">
					<thead class="bg-primary">
						<tr>
							<th>Barang</th>
							<th>Jumlah</th>
							<th width="80"></th>
						</tr>
					</thead>
					<tbody id="list"></tbody>
				</table>
			</div>
		</div>
	</div>
</form>
<script>
	var n = 1;
	var ls = [];

	$(document).ready(function(){
		$('.tanggal').datepicker({
			autoclose: true,
			format: 'dd-mm-yyyy'
		});

    	$('.select-me').select2();
		$('.select2-container').css('width', '100%');
		$('.bootstrap-dialog').removeAttr('tabindex');
	});

	$('#addtoList').click(function(){
		var brg = $('#barang').val();
		var sel = $('#barang').select2('data')[0]['text'];
		var jum = $('#jumlah').val();

		if (brg=='' || brg==undefined || jum=='' || jum==undefined) {
			alert('Isikan Barang dan Jumlah dengan benar.');
			return false;
		} else {
			var ch = ls.includes(brg);
			// console.log(ch, ls);

			if (ch) {
				var newJum = eval($('#jls-'+brg).val()) + eval(jum);

				$('#jls-'+brg).val(newJum);
				$('#jtextls-'+brg).text(newJum);
			} else {
				ls.push(brg);

				var nr = '<tr id="trlist-'+brg+'">'+
							'<td>'+
								'<input type="hidden" name="id_barang['+n+']" id="bls-'+brg+'" value="'+brg+'">'+
								'<input type="hidden" name="jumlah['+n+']" id="jls-'+brg+'" value="'+jum+'">'+
								sel+
							'</td>'+
							'<td><span id="jtextls-'+brg+'">'+jum+'</span></td>'+
							'<td align="center"><button type="button" onclick="removeList('+brg+')" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td>'+
						'</tr>';

				$('#list').append(nr);
				n++;
			}
			
			$('#jumlah').val('1');
			$('#barang').val(null).trigger('change');
			console.log('nn : ', ls);
		}
	});

	function removeList(brg) {
		var brg = brg.toString();
		var posDel = $.inArray(brg, ls);

		ls.splice(posDel, 1);

		$('#trlist-'+brg).remove();
	};
</script>