<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php $no = ($paging['limit']*$paging['current'])-$paging['limit']; ?>
<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" style="padding: 0;">
    <div class="form-group">
        <label for="find_no_surat">No. Surat</label>
        <div class="input-group input-group-sm">
            <input type="text" class="form-control" id="find_no_surat">
            <span class="input-group-btn">
                <button type="button" class="btn btn-info btn-flat btnFindNomorKeluar">Cari</button>
            </span>
        </div>
    </div>
</div>
<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding: 0;">
<div class="table-responsive">
    <table class="table table-striped table-bordered margin-top">
        <thead class="">
            <tr>
                <th width="5%">No</th>
                <th>No. Surat</th>
                <th>Tanggal Keluar</th>
                <th>Petugas</th>
                <th>Pengirim</th>
                <th>Keterangan</th>
            </tr>
        </thead>
        <tbody>
            <?php $no++; $total = 0; if($list->num_rows() > 0 ) : ?>
                <?php foreach ($list->result() as $key => $value): ?>
                    <tr class="selectKeluar" data-id="<?php echo $value->id; ?>" title="Pilih <?php echo $value->no_surat ?>" style="cursor: pointer;">
                        <td><?php echo $no ?>.</td>
                        <td><?php echo $value->no_surat ?></td>
                        <td align="right"><?php echo date_show($value->waktu) ?></td>
                        <td><?php echo $value->nama_user ?></td>
                        <td><?php echo $value->pengirim ?></td>
                        <td><?php echo $value->keterangan ?></td>
                    </tr>
                <?php $no++; endforeach ?>
            <?php else : ?>
                <tr>
                    <td colspan="9"><p>Data Kosong</p></td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>
    <input type='hidden' id='current' name='current' value='<?php echo $paging['current'] ?>'>
</div>
</div>
<div class='row'>
    <div class='col-sm-4 col-xs-12' style='margin-top:5px;margin-bottom:10px'>
        Total data <?php echo $paging['count_row'] ?> Rows
    </div>
    <div class='col-sm-8 col-xs-12 pull-right' style='margin-top:5px;margin-bottom:10px'>
        <?php echo $paging['list']; ?>
    </div>
</div>

<script type="text/javascript">
    $('.selectKeluar').click(function(){
        var id = $(this).data('id');
        var idDialog = $('#idDialog').val();
        
        $.post(adminsite+"/proses/retur/findselect", {id: id}, function(res, sts){
            const info = res.info;
            const list = res.list;
            var ls = [];

            $('#id_keluar').val(info.id);
            $('#no_surat').val(info.no_surat);
            $('#listRetur').html('');
            
            for (let i = 0; i < list.length; i++) {
                const el = list[i];									
                const brg = el.id_barang;
                const sel = el.nama;
                const jum = el.jumlah;
    
                ls.push(brg);

                var nr = '<tr id="trlist-'+brg+'">'+
                    '<td>'+
                        '<input type="hidden" name="id_barang['+i+']" id="bls-'+brg+'" value="'+brg+'">'+
                        sel+
                    '</td>'+
                    '<td><input type="number" name="jumlah['+i+']" min="1" id="jls-'+brg+'" value="'+jum+'" class="form-control"></td>'+
                    '<td><select name="kondisi['+i+']" id="kondisi" class="form-control">'+
                        '<option value="c">Cacat</option>'+
                        '<option value="t">Tidak Cacat</option>'+
                    '</select>'+
                    '</td>'+
                    '<td align="center"><button type="button" onclick="removeList('+brg+')" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td>'+
                '</tr>';

                $('#listRetur').append(nr);
            }
            console.log(ls);

            $('#'+idDialog).modal('hide');
        });
    });

    $("#find_no_surat").keypress(function(event) {
        if (event.which==13) {
            findList();
        }
    });

    $(".btnFindNomorKeluar").click(function(){ findList() });
</script>