$(document).ready(function() {
    var examples = {
        basic: function() {
            $.ytLoad();
        }
    };
    
    examples.basic();
});

function signout() {
    $.confirm.show({
        "message":"Yakin Sign Out?",
        "type":"danger",
        "yes":function(){
           window.location = '/logout';
        }
    });
}

function getdate(){
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    var s = today.getSeconds();

 	if(s<10) { s = "0"+s;}

    $(".mytimer").text(h+" : "+m+" : "+s);

   	setTimeout(function(){getdate()}, 500);
}

function waitMeOn(elmnt) {
    elmnt.waitMe({
        effect: 'win8',
        text: 'Please wait...',
        bg: 'rgba(255,255,255,0.7)',
        color: '#0086d4',
        maxSize: '',
        waitTime: -1,
        source: 'img.svg',
        textPos: 'vertical',
        fontSize: '20px',
        onClose: function(el) {}
    });
}

function profil() {
    $.get(adminsite+"/login/profil", function(content, status){
        BootstrapDialog.show({
            type: BootstrapDialog.TYPE_DEFAULT,
            title:  '<strong>Profil</strong>',
            message:$('<div></div>').append(content),
            buttons: [{
                label: 'Batal',
                cssClass: 'btn btn-danger',
                icon: 'fa fa-undo',
                action: function(dialog) {
                    $.confirm.show({
                        "message":"Yakin Batal?",
                        "type":"warning",
                        "yes":function(){
                            dialog.close(); 
                        }
                    }); 
                }
            },{
                label: 'Simpan',
                cssClass: 'btn btn-success',
                icon: 'fa fa-plus-circle',
                action: function(dialog) {
                    dialog.enableButtons(false);
                    dialog.setClosable(false);
                    
                    $.post(adminsite+"/login/action", $('#ProfilForm').serialize(), function(data, status){
                        if (!data.result) {
                            dialog.enableButtons(true);
                            toastr["error"](data.note, data.title);
                        }
                        else {
                            toastr["success"](data.note, data.title);	
                            dialog.close();
                            setTimeout(function(){ window.location = uri; }, 1500);
                        }
                    });
                }
            }],
            onshown: function(dialog) {
                dialog.setClosable(false);
            }
        });
    });
}