-- phpMyAdmin SQL Dump
-- version 5.0.2
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Jun 18, 2020 at 08:57 AM
-- Server version: 10.4.12-MariaDB
-- PHP Version: 7.4.5

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `work_sig`
--

-- --------------------------------------------------------

--
-- Table structure for table `akses_menu`
--

CREATE TABLE `akses_menu` (
  `id` int(11) NOT NULL,
  `id_hak_akses` int(11) NOT NULL,
  `id_menu` int(11) NOT NULL,
  `aksi` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `barang`
--

CREATE TABLE `barang` (
  `id` int(11) NOT NULL,
  `nama` varchar(100) NOT NULL,
  `id_kategori` int(11) NOT NULL,
  `id_merk` int(11) NOT NULL,
  `stok` int(11) NOT NULL,
  `is_delete` enum('false','true') NOT NULL DEFAULT 'false'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `barang`
--

INSERT INTO `barang` (`id`, `nama`, `id_kategori`, `id_merk`, `stok`, `is_delete`) VALUES
(1, 'TV LCD Samsung 20\"', 1, 1, 106, 'false'),
(2, 'Springbed', 2, 8, 43, 'false'),
(3, 'Kipas angin Gantung', 1, 7, 74, 'false'),
(4, 'Kompor Gas', 3, 1, 93, 'false'),
(5, 'Rice Cooker', 1, 10, 80, 'false'),
(6, 'Blender', 1, 9, 1, 'false'),
(7, 'Meja Belajar', 1, 11, 0, 'false');

-- --------------------------------------------------------

--
-- Table structure for table `customer`
--

CREATE TABLE `customer` (
  `id` int(11) NOT NULL,
  `nama` varchar(100) NOT NULL,
  `telp` varchar(20) NOT NULL,
  `alamat` tinytext NOT NULL,
  `is_delete` enum('false','true') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer`
--

INSERT INTO `customer` (`id`, `nama`, `telp`, `alamat`, `is_delete`) VALUES
(1, 'Susi Susilawati', '+62890000001', 'Bantul', 'false'),
(2, 'Rudi', '', '', 'false'),
(3, 'Ahmad', '-', '-', 'false');

-- --------------------------------------------------------

--
-- Table structure for table `hak_akses`
--

CREATE TABLE `hak_akses` (
  `id` int(11) NOT NULL,
  `hak_akses` varchar(20) NOT NULL,
  `is_admin` enum('0','1') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `hak_akses`
--

INSERT INTO `hak_akses` (`id`, `hak_akses`, `is_admin`) VALUES
(1, 'Administrator', '1');

-- --------------------------------------------------------

--
-- Table structure for table `kategori`
--

CREATE TABLE `kategori` (
  `id` int(11) NOT NULL,
  `kategori` varchar(100) NOT NULL,
  `is_delete` enum('false','true') NOT NULL DEFAULT 'false'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `kategori`
--

INSERT INTO `kategori` (`id`, `kategori`, `is_delete`) VALUES
(1, 'Elektronik', 'false'),
(2, 'Furniture', 'false'),
(3, 'Peralatan Dapur', 'false');

-- --------------------------------------------------------

--
-- Table structure for table `keluar`
--

CREATE TABLE `keluar` (
  `id` int(11) NOT NULL,
  `waktu` datetime NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_customer` int(11) NOT NULL,
  `pengirim` varchar(100) NOT NULL,
  `no_surat` tinytext NOT NULL,
  `keterangan` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `keluar`
--

INSERT INTO `keluar` (`id`, `waktu`, `id_user`, `id_customer`, `pengirim`, `no_surat`, `keterangan`) VALUES
(1, '2019-07-01 00:00:00', 2, 3, 'Tono', 'SJ-010719001', 'Kirim ke hotel Santika'),
(2, '2019-07-01 00:00:00', 2, 2, 'Budi', 'SJ-010719002', 'Kirim ke Hotel Garuda'),
(3, '2019-08-10 00:00:00', 2, 2, 'a', 'SJ-170819003', 'a'),
(4, '2019-08-17 00:00:00', 2, 1, 'a', 'SJ-180819004', 'a'),
(5, '2020-01-22 00:00:00', 3, 3, 'Joko', 'SJ-220120005', 'test');

-- --------------------------------------------------------

--
-- Table structure for table `keluar_list`
--

CREATE TABLE `keluar_list` (
  `id` int(11) NOT NULL,
  `id_keluar` int(11) NOT NULL,
  `id_barang` int(11) NOT NULL,
  `jumlah` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `keluar_list`
--

INSERT INTO `keluar_list` (`id`, `id_keluar`, `id_barang`, `jumlah`) VALUES
(1, 1, 1, 5),
(2, 1, 3, 10),
(3, 1, 2, 5),
(4, 2, 1, 3),
(5, 2, 2, 2),
(6, 3, 4, 1),
(7, 3, 1, 1),
(8, 4, 5, 1),
(9, 5, 1, 10),
(10, 5, 4, 4);

-- --------------------------------------------------------

--
-- Table structure for table `masuk`
--

CREATE TABLE `masuk` (
  `id` int(11) NOT NULL,
  `waktu` datetime NOT NULL,
  `id_user` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `masuk`
--

INSERT INTO `masuk` (`id`, `waktu`, `id_user`) VALUES
(1, '2019-07-01 00:00:00', 3),
(2, '2019-07-05 00:00:00', 3),
(3, '2020-01-17 00:00:00', 3),
(4, '2020-01-22 00:00:00', 3);

-- --------------------------------------------------------

--
-- Table structure for table `masuk_list`
--

CREATE TABLE `masuk_list` (
  `id` int(11) NOT NULL,
  `id_masuk` int(11) NOT NULL,
  `id_barang` int(11) NOT NULL,
  `jumlah` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `masuk_list`
--

INSERT INTO `masuk_list` (`id`, `id_masuk`, `id_barang`, `jumlah`) VALUES
(1, 1, 1, 100),
(2, 1, 3, 50),
(3, 1, 5, 80),
(4, 2, 2, 40),
(5, 2, 4, 95),
(6, 3, 6, 1),
(7, 3, 4, 3),
(8, 3, 3, 4),
(9, 4, 5, 1),
(10, 4, 3, 5);

-- --------------------------------------------------------

--
-- Table structure for table `merk`
--

CREATE TABLE `merk` (
  `id` int(11) NOT NULL,
  `merk` varchar(100) NOT NULL,
  `is_delete` enum('false','true') NOT NULL DEFAULT 'false'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `merk`
--

INSERT INTO `merk` (`id`, `merk`, `is_delete`) VALUES
(1, 'Toshiba', 'false'),
(2, 'Honda', 'false'),
(3, 'Aqua', 'false'),
(7, 'Yamaha', 'false'),
(8, 'Mitsubishi', 'false'),
(9, 'Miyako', 'false'),
(10, 'Cosmos', 'false'),
(11, 'Samsung', 'false');

-- --------------------------------------------------------

--
-- Table structure for table `petugas`
--

CREATE TABLE `petugas` (
  `id` int(11) NOT NULL,
  `petugas` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `petugas`
--

INSERT INTO `petugas` (`id`, `petugas`) VALUES
(4, 'Paijo'),
(5, 'Pawiro'),
(7, 'Budi');

-- --------------------------------------------------------

--
-- Table structure for table `retur`
--

CREATE TABLE `retur` (
  `id` int(11) NOT NULL,
  `waktu` datetime NOT NULL,
  `id_keluar` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `penerima` varchar(100) NOT NULL,
  `keterangan` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `retur`
--

INSERT INTO `retur` (`id`, `waktu`, `id_keluar`, `id_user`, `penerima`, `keterangan`) VALUES
(1, '2019-07-01 00:00:00', 1, 2, 'Susi', 'Salah Kirim'),
(2, '2019-07-01 00:00:00', 2, 2, 'Budi', 'Cacat Pabrik'),
(3, '2019-07-01 00:00:00', 1, 2, 'Paijo', 'Cacat dari Pabrik');

-- --------------------------------------------------------

--
-- Table structure for table `retur_list`
--

CREATE TABLE `retur_list` (
  `id` int(11) NOT NULL,
  `id_retur` int(11) NOT NULL,
  `id_barang` int(11) NOT NULL,
  `jumlah` int(11) NOT NULL,
  `kondisi` enum('c','t') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `retur_list`
--

INSERT INTO `retur_list` (`id`, `id_retur`, `id_barang`, `jumlah`, `kondisi`) VALUES
(1, 1, 1, 2, 't'),
(2, 1, 3, 3, 't'),
(3, 2, 1, 1, 'c'),
(4, 3, 3, 5, 'c');

-- --------------------------------------------------------

--
-- Table structure for table `settingan`
--

CREATE TABLE `settingan` (
  `id` tinyint(4) NOT NULL,
  `nama` tinytext NOT NULL,
  `alamat` text NOT NULL,
  `telp` tinytext NOT NULL,
  `email` tinytext NOT NULL,
  `logo` tinytext NOT NULL,
  `favicon` tinytext NOT NULL,
  `default_tag` varchar(100) NOT NULL,
  `default_description` varchar(150) NOT NULL,
  `url_facebook` tinytext NOT NULL,
  `url_twitter` tinytext NOT NULL,
  `url_instagram` tinytext NOT NULL,
  `url_youtube` tinytext NOT NULL,
  `pajak` float NOT NULL,
  `running_text` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `settingan`
--

INSERT INTO `settingan` (`id`, `nama`, `alamat`, `telp`, `email`, `logo`, `favicon`, `default_tag`, `default_description`, `url_facebook`, `url_twitter`, `url_instagram`, `url_youtube`, `pajak`, `running_text`) VALUES
(1, 'SIMIven', 'Jalan Sudirman 123 Indonesia', '+620123-456-7890', 'emai@email.com', '/assets/admin/dist/img/icon.png', '/assets/admin/dist/img/icon.png', 'NewMaster', 'NewMaster', 'https://www.facebook.com/', 'https://www.twitter.com/', 'https://www.instagram.com/', 'https://www.youtube.com/', 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `stok_history`
--

CREATE TABLE `stok_history` (
  `id` int(11) NOT NULL,
  `waktu` datetime NOT NULL,
  `id_ref` int(11) NOT NULL,
  `jenis` varchar(30) NOT NULL,
  `id_barang` int(11) NOT NULL,
  `jumlah` int(11) NOT NULL,
  `status` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `stok_history`
--

INSERT INTO `stok_history` (`id`, `waktu`, `id_ref`, `jenis`, `id_barang`, `jumlah`, `status`) VALUES
(1, '2019-06-30 15:13:16', 1, 'masuk', 1, 100, 'plus'),
(2, '2019-06-30 15:13:16', 1, 'masuk', 3, 50, 'plus'),
(3, '2019-06-30 15:13:16', 1, 'masuk', 5, 80, 'plus'),
(4, '2019-06-30 15:13:54', 2, 'masuk', 2, 40, 'plus'),
(5, '2019-06-30 15:13:54', 2, 'masuk', 4, 95, 'plus'),
(6, '2019-07-01 10:25:10', 1, 'keluar', 1, 5, 'min'),
(7, '2019-07-01 10:25:10', 1, 'keluar', 3, 10, 'min'),
(8, '2019-07-01 10:25:10', 1, 'keluar', 2, 5, 'min'),
(9, '2019-07-01 10:26:01', 2, 'keluar', 1, 3, 'min'),
(10, '2019-07-01 10:26:01', 2, 'keluar', 2, 2, 'min'),
(11, '2019-07-01 10:27:37', 1, 'retur', 1, 2, 'plus'),
(12, '2019-07-01 10:27:37', 1, 'retur', 3, 3, 'plus'),
(13, '2019-08-17 23:55:52', 3, 'keluar', 4, 1, 'min'),
(14, '2019-08-17 23:55:52', 3, 'keluar', 1, 1, 'min'),
(15, '2019-08-18 00:32:40', 4, 'keluar', 5, 1, 'min'),
(16, '2020-01-22 00:11:37', 3, 'masuk', 6, 1, 'plus'),
(17, '2020-01-22 00:11:37', 3, 'masuk', 4, 3, 'plus'),
(18, '2020-01-22 00:11:37', 3, 'masuk', 3, 4, 'plus'),
(19, '2020-01-22 00:25:04', 5, 'keluar', 1, 10, 'min'),
(20, '2020-01-22 00:25:04', 5, 'keluar', 4, 4, 'min'),
(21, '2020-01-22 00:38:49', 4, 'masuk', 5, 1, 'plus'),
(22, '2020-01-22 00:38:49', 4, 'masuk', 3, 5, 'plus');

-- --------------------------------------------------------

--
-- Table structure for table `stok_opname`
--

CREATE TABLE `stok_opname` (
  `id` int(11) NOT NULL,
  `bulan` varchar(5) NOT NULL,
  `tahun` varchar(10) NOT NULL,
  `id_barang` int(11) NOT NULL,
  `stok_periode` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `stok_opname`
--

INSERT INTO `stok_opname` (`id`, `bulan`, `tahun`, `id_barang`, `stok_periode`) VALUES
(1, '7', '2019', 1, 92),
(2, '7', '2019', 2, 33),
(3, '7', '2019', 3, 40),
(4, '7', '2019', 4, 95),
(5, '7', '2019', 5, 80),
(6, '7', '2019', 6, 0),
(7, '9', '2019', 1, 0),
(8, '9', '2019', 2, 0),
(9, '9', '2019', 3, 0),
(10, '9', '2019', 4, 0),
(11, '9', '2019', 5, 0),
(12, '9', '2019', 6, 0),
(13, '1', '2020', 1, -10),
(14, '1', '2020', 2, 0),
(15, '1', '2020', 3, 9),
(16, '1', '2020', 4, -1),
(17, '1', '2020', 5, 1),
(18, '1', '2020', 6, 1),
(19, '1', '2020', 7, 0);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `username` varchar(20) NOT NULL,
  `password` varchar(38) NOT NULL,
  `nama` varchar(60) NOT NULL,
  `id_hak_akses` int(11) NOT NULL,
  `foto` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`id`, `username`, `password`, `nama`, `id_hak_akses`, `foto`) VALUES
(1, 'admin', '0192023a7bbd73250516f069df18b500', 'Administrator', 1, ''),
(2, 'paijo', '44529fdc8afb86d58c6c02cd00c02e43', 'Paijo', 1, '/upload/user/avatar04.png'),
(3, 'budi', '00dfc53ee86af02e742515cdcf075ed3', 'Budi S', 1, '/upload/user/avatar04.png');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `akses_menu`
--
ALTER TABLE `akses_menu`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `barang`
--
ALTER TABLE `barang`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `customer`
--
ALTER TABLE `customer`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `hak_akses`
--
ALTER TABLE `hak_akses`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `kategori`
--
ALTER TABLE `kategori`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `keluar`
--
ALTER TABLE `keluar`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `keluar_list`
--
ALTER TABLE `keluar_list`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `masuk`
--
ALTER TABLE `masuk`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `masuk_list`
--
ALTER TABLE `masuk_list`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `merk`
--
ALTER TABLE `merk`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `petugas`
--
ALTER TABLE `petugas`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `retur`
--
ALTER TABLE `retur`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `retur_list`
--
ALTER TABLE `retur_list`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `settingan`
--
ALTER TABLE `settingan`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `stok_history`
--
ALTER TABLE `stok_history`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `stok_opname`
--
ALTER TABLE `stok_opname`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `akses_menu`
--
ALTER TABLE `akses_menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `barang`
--
ALTER TABLE `barang`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `customer`
--
ALTER TABLE `customer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `hak_akses`
--
ALTER TABLE `hak_akses`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `kategori`
--
ALTER TABLE `kategori`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `keluar`
--
ALTER TABLE `keluar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `keluar_list`
--
ALTER TABLE `keluar_list`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `masuk`
--
ALTER TABLE `masuk`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `masuk_list`
--
ALTER TABLE `masuk_list`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `merk`
--
ALTER TABLE `merk`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `petugas`
--
ALTER TABLE `petugas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `retur`
--
ALTER TABLE `retur`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `retur_list`
--
ALTER TABLE `retur_list`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `settingan`
--
ALTER TABLE `settingan`
  MODIFY `id` tinyint(4) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `stok_history`
--
ALTER TABLE `stok_history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- AUTO_INCREMENT for table `stok_opname`
--
ALTER TABLE `stok_opname`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
